import { Module } from 'mana-syringe';
import { HTMLRenderingPlugin } from './HTMLRenderingPlugin';
var containerModule = Module(function (register) {
  register(HTMLRenderingPlugin);
});

var Plugin =
/** @class */
function () {
  function Plugin() {}

  Plugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  Plugin.prototype.destroy = function (container) {
    // @ts-ignore
    // container.container.unload(containerModule);
    // // container.unload(containerModule);
    container.remove(HTMLRenderingPlugin);
  };

  return Plugin;
}();

export { Plugin };