"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Plugin = void 0;

var _manaSyringe = require("mana-syringe");

var _HTMLRenderingPlugin = require("./HTMLRenderingPlugin");

var containerModule = (0, _manaSyringe.Module)(function (register) {
  register(_HTMLRenderingPlugin.HTMLRenderingPlugin);
});

var Plugin =
/** @class */
function () {
  function Plugin() {}

  Plugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  Plugin.prototype.destroy = function (container) {
    // @ts-ignore
    // container.container.unload(containerModule);
    // // container.unload(containerModule);
    container.remove(_HTMLRenderingPlugin.HTMLRenderingPlugin);
  };

  return Plugin;
}();

exports.Plugin = Plugin;